/***************************************
 UNROM Mapper2
***************************************/
function cpu_dump(d, prg_size, rst_crc)
{
	if(rst_crc==0x63B3F3E)//Dragon Quest II - Akuryou no Kamigami
	{
		for(local i = 0; i < (prg_size/0x4000)-1; i += 1)
		{
			cpu_write(d, 0xC2DC+i, i);
			cpu_write(d, 0xC2DC+i, i);
			cpu_read(d, 0x8000, 0x2000 * 2);
		}		
		cpu_read(d, 0xc000, 0x2000 * 2);
	}
	else if(0x5883C8B5==rst_crc)//Daiva - Imperial of Nirsartia/ディーヴァ ナーサティアの玉座
	{
		for(local i = 0; i < (prg_size/0x4000)-1; i += 1)
		{
			cpu_write(d, 0xC17E+i, i);
			cpu_write(d, 0xC17E+i, i);
			cpu_read(d, 0x8000, 0x2000 * 2);
		}		
		cpu_read(d, 0xc000, 0x2000 * 2);
	}
	else
	{
		for(local i = 0; i < (prg_size/0x4000) - 1; i += 1){
			cpu_write(d, 0x8000+i, i);
			cpu_write(d, 0xC000+i, i);
			cpu_read(d, 0x8000, 0x2000 * 2);
		}
		cpu_read(d, 0xc000, 0x2000 * 2);
	}
}

function ppu_dump(d, chr_size, banksize)
{
}