/***************************************
  Sunsoft-4 mapper IC. 
  Example games: 
   After Burner
   Maharaja (J)
   Nantettatte!! Baseball (J)
  Update 20190622(ppu_dump)
***************************************/
function cpu_dump(d, prg_size, banksize)
{
	for(local i = 0; i < (prg_size/0x4000) - 1; i += 1){
		cpu_write(d, 0xF000, i);
		cpu_read(d, 0x8000, 0x4000);
	}
	cpu_read(d, 0xC000, 0x4000);
}
function ppu_dump(d, chr_size, banksize)
{
	cpu_write(d,0xE000,1<<0);
	for(local i = 0; i < chr_size/0x800; i+=4){
		cpu_write(d, 0x8000, i|0,0xA000, i|2);
		cpu_write(d, 0x9000, i|1,0xB000, i|3);
		ppu_read(d, 0x0000, 0x800*4);
	}
}